Subject: Re: [bug#30804] [PATCH] gnu: hop: Fix source hash.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 23 Apr 2018 15:02:42 +0200

Hi Kei & Tobias,

Kei Kebreau <[email-masked]> skribis:

> Tobias Geerinckx-Rice <[email-masked]> writes:
>
>> * gnu/packages/scheme.scm (hop)[source]: Fix sha256 hash.
>> ---
>>
>> Guix, Kei,
>>
>> Building hop fails with a hash mismatch. Here's what I get now, however: 
>>
>> - I don't have a copy of the original tarball with which to compare.
>> - The build now fails with ‘cc: command not found’, and I assume it
>>   didn't previously.
>>
>> Could you investigate?

[...]

> The one copy of hop's source I have in my /gnu/store has a hash
> different than both of these:
> 0bq7f4z33kg4dyqlhz004sdgf04a5zrlhdknil0is2vf4pg0v5hx.
>
> The diff between my copy and the latest copy is attached.

It’s the unfortunately usual case of last-minute update-in-place
changes.  I think you can go ahead and push the patch, comrades.

Thanks,
Ludo’.